<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="EclipseLink"
            path="pathmap://PROFILES_JAVA_PLATFORM/eclipselink_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="EJB3.0"
            path="pathmap://PROFILES_JAVA_PLATFORM/ejb3.0_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="EJB3.2"
            path="pathmap://PROFILES_JAVA_PLATFORM/ejb3.2_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="FindBugs"
            path="pathmap://PROFILES_JAVA_PLATFORM/findBugs_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Hibernate-Core"
            path="pathmap://PROFILES_JAVA_PLATFORM/hibernate-core_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Jackson"
            path="pathmap://PROFILES_JAVA_PLATFORM/jackson-annotations_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-Annotations"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.annotations_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-CDI"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.cdi_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-Inject"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.inject_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-Interceptor"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.interceptor_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-Validation"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.validation_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>   

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Javax-WS"
            path="pathmap://PROFILES_JAVA_PLATFORM/javax.ws_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Jaxb"
            path="pathmap://PROFILES_JAVA_PLATFORM/jaxb_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>   
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Jaxrs"
            path="pathmap://PROFILES_JAVA_PLATFORM/jaxrs_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="JBoss-Arquillian"
            path="pathmap://PROFILES_JAVA_PLATFORM/jboss-arquillian_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>

   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Java7-Annotations"
            path="pathmap://PROFILES_JAVA_PLATFORM/jdk7_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="JPA2"
            path="pathmap://PROFILES_JAVA_PLATFORM/jpa2_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="JUnit"
            path="pathmap://PROFILES_JAVA_PLATFORM/junit_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Objectify"
            path="pathmap://PROFILES_JAVA_PLATFORM/objectify_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Spring-Bundle"
            path="pathmap://PROFILES_JAVA_PLATFORM/spring-bundle_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>
   
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            name="Struts-Bundle"
            path="pathmap://PROFILES_JAVA_PLATFORM/struts-bundle_profile.profile.uml"
            provider="Eclipse UPR">
      </profile>
   </extension>      
</plugin>
